Bug 6884 - Improve TinyMCE configuration on Koha News page
Summary: Improve TinyMCE configuration on Koha News page
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Assignee: Owen Leonard
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on: 6649
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-19 13:05 UTC by Owen Leonard
Modified: 2013-12-05 19:57 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of the proposed revised interface (26.91 KB, image/png)
2011-09-19 13:05 UTC, Owen Leonard
Details
Proposed fix (4.55 KB, patch)
2011-09-19 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Signed-off patch (4.79 KB, patch)
2011-09-20 04:55 UTC, Frédéric Demians
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2011-09-19 13:05:08 UTC
Created attachment 5458 [details]
Screenshot of the proposed revised interface

I propose a couple of changes to the configuration of the TinyMCE rich text editor on the Koha News page:

- Increase the width of the editor to fill the space provided.
- Adjust the layout of the toolbars to better fit the space
- Add a custom editor stylesheet to make the contents of the editor better
  match the expected output.
Comment 1 Owen Leonard 2011-09-19 13:11:11 UTC Comment hidden (obsolete)
Comment 2 Frédéric Demians 2011-09-20 04:55:42 UTC
Created attachment 5470 [details] [review]
Signed-off patch

Works as described. This patch is compatible with bug 6649 patch, fixing
help pages editing, and so could be applied before or after it.
Comment 3 Ian Walls 2011-09-22 12:09:46 UTC
Template only change, works as advertised, very well documented.  Marking as Passed QA
Comment 4 Chris Cormack 2011-09-24 07:47:45 UTC
Pushed, please test